Uploaded image for project: 'CouchDB'
  1. CouchDB
  2. COUCHDB-1633

./bootstrap error -> "Have you installed GNU Autoconf Archive?"

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.3
    • Component/s: Build System
    • Labels:
      None

      Description

      Something new with the build of couchdb I didn't have before. Now when launching bootstrap for the first time I get the following error:

      $ make
      CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh /Users/benoitc/work/couchdb/build-aux/missing --run aclocal-1.12 -I m4
      cd . && /bin/sh /Users/benoitc/work/couchdb/build-aux/missing --run automake-1.12 --foreign
      CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh /Users/benoitc/work/couchdb/build-aux/missing --run autoconf
      configure.ac:65: error: possibly undefined macro: AC_DEFINE
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
      configure.ac:326: error: possibly undefined macro: AC_MSG_WARN
      make: *** [configure] Error 1
      enlil:couchdb benoitc$ ./bootstrap
      Unable to find the `ax_check_icu.m4' file.

      Have you installed GNU Autoconf Archive?

      I solved it on ubuntu by installing autcoconf-archive. But I have no idea how to do the same thing on macosx yet. Also it should be documented so far.

        Attachments

        1. locate.txt
          40 kB
          Naomi Slater

          Activity

            People

            • Assignee:
              dch Dave Cottlehuber
              Reporter:
              benoitc Benoit Chesneau
            • Votes:
              0 Vote for this issue
              Watchers:
              7 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: